%define upstream_name    Module-Util
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module name tools and transformations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a few useful functions for manipulating module names.
Its main aim is to centralise some of the functions commonly used by
modules that manipulate other modules in some way, like converting module
names to relative paths.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/pm_which
%{_mandir}/man1/pm_which.1.*
%{_mandir}/man3/*
%{perl_vendorlib}/Module

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.90.0-2.mga4
+ Revision: 527115
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.90.0-1.mga4
+ Revision: 439551
- update to 1.09

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-4.mga3
+ Revision: 370000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.80.0-3.mga3
+ Revision: 315013
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.80.0-2.mga3
+ Revision: 283547
- perl 5.16.1 rebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.80.0-1.mga3
+ Revision: 255166
- update to 1.08

* Mon Jun 04 2012 jquelin <jquelin> 1.70.0-4.mga3
+ Revision: 254211
- fix shebang with new perl 5.16 path

* Fri Oct 14 2011 jquelin <jquelin> 1.70.0-3.mga2
+ Revision: 155133
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 1.70.0-2.mga2
+ Revision: 109889
- rebuild script for perl 5.14.1

* Fri Jan 21 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 28655
- mageia rebuild
- imported package perl-Module-Util


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 404020
- rebuild using %%perl_convert_version

* Sat May 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2010.0
+ Revision: 370493
- update to new version 1.07

* Sun Nov 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2009.1
+ Revision: 301378
- update to new version 1.05

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
+ Revision: 230278
- update to new version 1.04

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
+ Revision: 213759
- import perl-Module-Util


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
- first mdv release
